QGIS Application - Feature request #4357
On/Off checkbox for Composer Objects
2011-10-06 12:59 PM - Thaddeus -

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 14292
Description

There are cases where | do not want to print/export some labels -- call it a special printout version --, so | delete them and then print
making sure | do not save that qgs file: It would be nice to have a checkbox that turns the object off and shows it, say, as grayed out/big
red cross/etc.

History

#1 - 2011-10-07 11:02 AM - Giovanni Manghi
- Assignee set to Marco Hugentobler
- Subject changed from On/Off Feature for Composer Object . to On/Off checkbox for Composer Objects

Seems to me that this ticket explain very well a situation that could be solved the way is suggested (a checkbox for each composer item, to turn it off/on)
but that probably is not that easy to implement, as | feel that is the same case of another request, the one to completely lock a map object in order to avoid
any change, regardless of what happens in the canvas (actually the "lock layers for map item" prevents only for changes of layers other than the ones
visible in the map object).

In any case | think there is a better workaround then the one described:
add twice a layer, one with labels and one without. Leave active one of the two (say the one without labels). Create one print layout, add the map object and

any other necessary item. Check "lock layers for map item". Save the layout template and use it to create another one identical. Switch layers in the TOC
and in the new print composer remove the map object and add it a new one, this time with labels.

#2 - 2011-10-07 11:44 AM - Thaddeus -
Oops, | was really focused on the paper space, the Composer, but | never qualified that "label" word with Composer label, my bad. My label, my Composer
label, has my written notes that | don't want to print, so it's like a do not print feature, but your idea is very good: I'm going to try to create a point layer with

my notes as features/attributes and tune that into the Composer view port --although | already have 20 Composer items. Following on your idea, a "do not
print layer" feature would do the trick too.

#3 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#4 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:15 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-12-16 07:55 PM - Nyall Dawson
- Status changed from Open to In Progress
- Target version changed from Future Release - Nice to have to Future Release - High Priority
- Assignee changed from Marco Hugentobler to Nyall Dawson

#7 - 2014-04-06 06:03 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#8 - 2014-08-13 07:56 AM - Harrissou Santanna

Hi,

It took almost three years but yeah... this feature is now implemented in Master (at least since fe4e552), within the new Items tab in the composer. And it is

really useful, no more need to have special composer(s)/"texts to move". Thanks to u!l!

However, | think that it would also be nice, as mentioned by Thaddeus in his first message to have some kind of symbols (a red cross in a corner, greyed

extent of the hidden item...?) that won't be printable but helps the user to keep in mind that there are not shown item(s) in his composition.

#9 - 2014-08-13 01:28 PM - Nyall Dawson

Actually this request is for a slightly different feature - a check box which prevents an item from inclusion in prints/exports. The item would still be shown in

the composer, just not in exports. Its like a sister feature of the current show/hide check boxes.

#10 - 2015-09-29 06:02 PM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from In Progress to Closed

Fixed since a while (checkbox under "Rendering" group for "Exclude item from exports").
